Package: org.codehaus.groovy.reflection.stdclasses

## [Java] Class CharacterCachedClass

- org.codehaus.groovy.reflection.stdclasses.CharacterCachedClass

- Authors:
    Alex.Tkachman

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CachedClass` | `EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CharacterCachedClass (Class klazz, ClassInfo classInfo, boolean allowNull)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isAssignableFrom(Class classToTransformFrom)`
    `` | `boolean` | `isDirectlyAssignable(Object argument)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CachedClass` | `addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public CharacterCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)

  - ### Method Detail

    - #### public boolean isAssignableFrom(Class classToTransformFrom)

    - #### public boolean isDirectlyAssignable(Object argument)